/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#include <cassert>
#include <QtGui/QHBoxLayout>

#include "wscout_gui_header_frame.hh"

namespace wscout
{

  namespace gui
  {

    HeaderFrame::HeaderFrame(QWidget* parent): QFrame (parent)
    {
      {
	QSizePolicy p (QSizePolicy::Minimum, QSizePolicy::Fixed);

	setSizePolicy(p);
      }
      {
	QHBoxLayout* const l = new QHBoxLayout;

	l->setMargin(header_margin);
	setLayout(l);
      }
    }

    QBoxLayout*
    HeaderFrame::layout()
    {
      QLayout* const	l = QFrame::layout();
      QBoxLayout* const r = dynamic_cast<QBoxLayout*> (l);

      assert(not l or r);
      return r;
    };

  } // End of namespace gui.

} // End of namespace wscout.
