/*
 * WScout - Lightweight PCAP visualizer.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */

#ifndef WSCOUT_PROTOCOLS_IDS_HH_
# define WSCOUT_PROTOCOLS_IDS_HH_

namespace wscout
{

  /// Hold %protocol identifiers.
  namespace protocol
  {

    /**
     * Identify a %protocol.
     *
     * Usually identify the content of a pointer to some data.
     *
     * @see gui::AbstractHeader::next_header
     */
    enum id
      {
	NONE,		///< Data does not refer to a specific %protocol.
	UNKNOWN,	///< Data refers to an unkonwn %protocol.
	PRISM_HEADER,	///< Data is a Prism header. @see gui::PrismHeader
	IEEE802_11,	///< Data is a IEEE 802.11 frame.
			///  @see gui::IEEE80211Header
      };

  } // End of namespacce protocols.

} // End of namespace wscout.

#endif // ! WSCOUT_PROTOCOLS_IDS_HH_
