/*
 * trace-tools - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PCAP_DUMPER_HXX_
# define PCAP_DUMPER_HXX_

# include "dumper.hh"

namespace pcapxx
{

  inline
  dumper::dumper(pcap_dumper_t* d): d_ (d, dumper_deleter)
  {
  }

  inline
  void
  dumper::operator () (const pkthdr* h, const void* f)
  {
    pcap_pkthdr	h_;

    h_.ts = h->ts;
    h_.caplen = h->caplen;
    h_.len = h->len;

    pcap_dump(reinterpret_cast<u_char*> (d_.get()),
	      &h_,
	      static_cast<const u_char*> (f));
  }

  inline
  void
  dumper::dumper_deleter(pcap_dumper_t* d)
  {
    pcap_dump_close(d);
  }

} // End of namespace pcapxx.

#endif // ! PCAP_DESCRITPOR_HH_
