/*
 * trace-tools - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PCAP_PKTHDR_HH_
# define PCAP_PKTHDR_HH_

namespace pcapxx
{

  /**
   * PCAP frame/packet header.
   *
   * A PCAP header holds information regarding a frame/packet that are
   * not directly embedded inside the frame/packet's bytes.
   */
  struct pkthdr
  {
    unsigned		id;	///< Frame/packet's position inside the trace.
    struct timeval	ts;	///< Time of arrival.
    size_t		caplen;	///< Number of captured bytes.
    size_t		len;	///< Length of the frame/packet.
  };

} // End of namespace pcapxx.

#endif // ! PCAP_PKTHDR_HH_

