/*
 * trace-tools - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef WIFI_FRAME_ID_HELPER_HOOKS_HH_
# define WIFI_FRAME_ID_HELPER_HOOKS_HH_

# include <trace-tools/wifi/timestamp.hh>
# include <trace-tools/wifi/frame/dissector/default_hooks.hh>

namespace wifi
{

  namespace frame
  {

    namespace internals
    {

      /// Helper %hooks for make_unique_id().
      struct id_helper_hooks: public dissector_default_hooks
      {
	/// Default constructor.
	id_helper_hooks();

	const timestamp*	timestamp_ptr() const;
	const addr*		addr_ptr(unsigned i) const;

      protected:
	void			beacon_hook(const mgt::header*, size_t);

      private:
	const timestamp*	timestamp_;
	const addr*		addrs_;
      };

    } // End of namespace wifi::frame::internals.

  } // End of namespace wifi::frame.

} // End of namespace wifi.

# include "id_helper_hooks.hxx"

#endif // ! WIFI_FRAME_ID_HELPER_HOOKS_HH_
