/*
 * trace-tools - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <sstream>
#include <cstdlib>

extern "C"
{
#include <inttypes.h>
}

#include <trace-tools/wifi/timestamp.hh>

int
main()
{
  const unsigned	hi = 42, lo = 51;
  const wifi::timestamp	t (hi, lo);
  std::ostringstream	ref, out;

  ref << ((uint64_t (hi) << 32) | lo);
  out << t;
  if (ref.str() != out.str())
    abort();

  if (wifi::timestamp (42, 42) < wifi::timestamp (42, 42))
    abort();
  if (wifi::timestamp (0, 1) < wifi::timestamp (0, 0))
    abort();
  if (wifi::timestamp (1, 0) < wifi::timestamp (0, 0))
    abort();
  if (not (wifi::timestamp (0, 0) < wifi::timestamp (0, 1)))
    abort();
  if (not (wifi::timestamp (0, 0) < wifi::timestamp (1, 0)))
    abort();


}
